<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerReferralPlugin\Entity;

use Doctrine\ORM\Mapping as ORM;

trait InviteeTrait
{
    /**
     * @ORM\OneToOne(targetEntity="Dedi\SyliusCustomerReferralPlugin\Entity\ReferralInterface", mappedBy="invitee")
     *
     * @var Referral|null
     */
    protected $referral;

    public function getReferral(): ?Referral
    {
        return $this->referral;
    }
}
